-- AutoBuffCancel localization file

ABC_NAME = "AutoBuffCancel";
ABC_VER = "0.3.0";

ABC_HEADER = ABC_NAME.." v"..ABC_VER;
ABC_COLOUR = "|cff7fafff";
ABC_LOADED = ABC_COLOUR..ABC_HEADER.." loaded";

-- Help text.
ABC_HELPTEXT = {
	ABC_NAME.." "..ABC_VER,
	"     /autobc add <buffname> - adds a buff to the list",
	"     /autobc remove <buffname> - remove a buff from the list",
	"     /autobc on/off - turn auto cancellation on/off",
	"     /autobc - with no arguments will list the current status",
};

-- Slash commands
ABCSLASH_ENABLE = "on";
ABCSLASH_DISABLE = "off";
ABCSLASH_HELP = "help";
ABCSLASH_ADD = "add";
ABCSLASH_REMOVE = "remove";

-- Status screen
ABCSTAT_HEADER = "Auto buff cancellation is %s";
ABCSTAT_ENABLED = "|cff00ff00ENABLED";
ABCSTAT_DISABLED = "|cffff0000DISABLED";

ABCSTAT_LISTHEADER = "ABC buff blacklist:";
ABCSTAT_HELPLINE = "Type /AUTOBC "..ABCSLASH_HELP.." for list of commands.";

-- Misc messages
ABCMSG_ADD = "'%s' added to buff blacklist.";
ABCMSG_REMOVE = "'%s' removed from buff blacklist.";
ABCMSG_CANCELLED = ABC_COLOUR.."AutoBuffCancel: Cancelled buff '%s'";

-- Error messages
ABCERROR_HEADER = "|cffff0000Error: |r";
ABCERROR_BADCMD = "Unknown command '%s'.";
ABCERROR_BUFFEXISTS = "Buff %s is already on the list.";
ABCERROR_BUFFNOTFOUND = "Buff %s not found on the list.";
